---
- include_tasks: roles/container_base/tasks/create_container.yml
  vars:
    app_name: "fail2ban"
    app_image: "{{ fail2ban_image }}:{{ fail2ban_version }}"
    app_dir_volumes:
      - "{{ volume_root_dir }}/fail2ban/data:/data:z,U,rbind,noexec"
      - "{{ volume_root_dir }}/fail2ban/log:/var/log:Z,U,rbind,noexec"
      - "{{ volume_root_dir }}/fail2ban/scripts:/opt/scripts:Z,U,rbind,noexec"
    app_env:
      # https://github.com/crazy-max/docker-fail2ban
      # https://github.com/crazy-max/docker-fail2ban/blob/master/examples/compose/fail2ban.env
      TZ: "{{ timezone }}"
      F2B_LOG_TARGET: "STDOUT"
      F2B_LOG_LEVEL: "INFO"
      F2B_DB_PURGE_AGE: "1d"
      SSMTP_HOST: "{{ fail2ban_smtp_host }}"
      SSMTP_HOSTNAME: "{{ fail2ban_smtp_hostname }}"
      SSMTP_PASSWORD: "{{ fail2ban_smtp_password }}"
      SSMTP_PORT: "{{ fail2ban_smtp_port }}"
      SSMTP_TLS: "{{ fail2ban_smtp_tls }}"
      SSMTP_USER: "{{ fail2ban_smtp_user }}"
    app_cap_add:
      - NET_ADMIN
      - NET_RAW

# https://github.com/mbelloiseau/fail2ban-mattermost-notifications
- name: copy fail2ban mattermost actions config
  ansible.builtin.template:
    src: "mattermost.conf.j2"
    dest: "{{ volume_root_dir }}/fail2ban/data/action.d/mattermost.conf"
    owner: "{{ app_user }}"
    ansible.builtin.group: "{{ app_group }}"

- name: copy fail2ban mattermost actions script
  ansible.builtin.template:
    src: "mattermost.sh.j2"
    dest: "{{ volume_root_dir }}/fail2ban/scripts/mattermost.sh"
    owner: "{{ app_user }}"
    ansible.builtin.group: "{{ app_group }}"
